<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.common.mapper.AppVersionMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.common.entity.AppVersion">
                    <id column="app_id" property="appId" />
                    <result column="app_code" property="appCode" />
                    <result column="app_version" property="appVersion" />
                    <result column="pub_date" property="pubDate" />
                    <result column="download_url" property="downloadUrl" />
                    <result column="change_list" property="changeList" />
        </resultMap>
    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT *   FROM  app_version
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  1=1  ${ew.sqlSegment}
        </if>
    </select>


</mapper>